Changeset 1471 for ThirdParty/Glpk


Ignore:
Timestamp:
Feb 21, 2010 9:17:54 AM (10 years ago)
Author:
stefan
Message:

update to use glpk 4.43

Location:
ThirdParty/Glpk/trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1458 r1471  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.41.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.43.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.41.tar.gz
    21 tar xf glpk-4.41.tar
     20gunzip glpk-4.43.tar.gz
     21tar xf glpk-4.43.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.41
     24  glpk-4.43
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1458 r1471  
    3737$(GLPKDIR)/src/glpapi18.c \
    3838$(GLPKDIR)/src/glpapi19.c \
    39 $(GLPKDIR)/src/glpapi20.c \
    4039$(GLPKDIR)/src/glpavl.c \
    4140$(GLPKDIR)/src/glpbfd.c \
     
    4443$(GLPKDIR)/src/glpdmp.c \
    4544$(GLPKDIR)/src/glpdmx.c \
     45$(GLPKDIR)/src/glpenv01.c \
     46$(GLPKDIR)/src/glpenv02.c \
     47$(GLPKDIR)/src/glpenv03.c \
     48$(GLPKDIR)/src/glpenv04.c \
     49$(GLPKDIR)/src/glpenv05.c \
     50$(GLPKDIR)/src/glpenv06.c \
     51$(GLPKDIR)/src/glpenv07.c \
     52$(GLPKDIR)/src/glpenv08.c \
    4653$(GLPKDIR)/src/glpfhv.c \
    4754$(GLPKDIR)/src/glpgmp.c \
     
    6269$(GLPKDIR)/src/glpios12.c \
    6370$(GLPKDIR)/src/glpipm.c \
    64 $(GLPKDIR)/src/glpipp01.c \
    65 $(GLPKDIR)/src/glpipp02.c \
    6671$(GLPKDIR)/src/glplib01.c \
    6772$(GLPKDIR)/src/glplib02.c \
    6873$(GLPKDIR)/src/glplib03.c \
    69 $(GLPKDIR)/src/glplib04.c \
    70 $(GLPKDIR)/src/glplib05.c \
    71 $(GLPKDIR)/src/glplib06.c \
    72 $(GLPKDIR)/src/glplib07.c \
    73 $(GLPKDIR)/src/glplib08.c \
    74 $(GLPKDIR)/src/glplib09.c \
    75 $(GLPKDIR)/src/glplib10.c \
    76 $(GLPKDIR)/src/glplib11.c \
    77 $(GLPKDIR)/src/glplib12.c \
    7874$(GLPKDIR)/src/glplpf.c \
    7975$(GLPKDIR)/src/glplpx01.c \
    8076$(GLPKDIR)/src/glplpx02.c \
    8177$(GLPKDIR)/src/glplpx03.c \
    82 $(GLPKDIR)/src/glplpx04.c \
    8378$(GLPKDIR)/src/glpluf.c \
    8479$(GLPKDIR)/src/glplux.c \
     
    9994$(GLPKDIR)/src/glpnet07.c \
    10095$(GLPKDIR)/src/glpnet08.c \
     96$(GLPKDIR)/src/glpnet09.c \
    10197$(GLPKDIR)/src/glpnpp01.c \
    10298$(GLPKDIR)/src/glpnpp02.c \
    10399$(GLPKDIR)/src/glpnpp03.c \
    104100$(GLPKDIR)/src/glpnpp04.c \
     101$(GLPKDIR)/src/glpnpp05.c \
    105102$(GLPKDIR)/src/glpqmd.c \
    106103$(GLPKDIR)/src/glprgr.c \
     
    140137  $(srcdir)/$(GLPKDIR)/include/glprng.h \
    141138  $(srcdir)/$(GLPKDIR)/include/glpdmp.h \
     139  $(srcdir)/$(GLPKDIR)/include/glpenv.h \
    142140  $(srcdir)/$(GLPKDIR)/include/glplib.h \
    143141  $(srcdir)/$(GLPKDIR)/include/glpstd.h
     
    157155$(srcdir)/$(GLPKDIR)/include/glpdmp.h : $(srcdir)/$(GLPKDIR)/src/glpdmp.h
    158156        cp $(srcdir)/$(GLPKDIR)/src/glpdmp.h $(srcdir)/$(GLPKDIR)/include/glpdmp.h
     157
     158$(srcdir)/$(GLPKDIR)/include/glpenv.h : $(srcdir)/$(GLPKDIR)/src/glpenv.h
     159        cp $(srcdir)/$(GLPKDIR)/src/glpenv.h $(srcdir)/$(GLPKDIR)/include/glpenv.h
    159160
    160161$(srcdir)/$(GLPKDIR)/include/glplib.h : $(srcdir)/$(GLPKDIR)/src/glplib.h
  • ThirdParty/Glpk/trunk/Makefile.in

    r1458 r1471  
    7878        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    7979        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpapi18.lo \
    80         glpapi19.lo glpapi20.lo glpavl.lo glpbfd.lo glpbfx.lo \
    81         glpcpx.lo glpdmp.lo glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo \
    82         glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
    83         glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
    84         glpios09.lo glpios10.lo glpios11.lo glpios12.lo glpipm.lo \
    85         glpipp01.lo glpipp02.lo glplib01.lo glplib02.lo glplib03.lo \
    86         glplib04.lo glplib05.lo glplib06.lo glplib07.lo glplib08.lo \
    87         glplib09.lo glplib10.lo glplib11.lo glplib12.lo glplpf.lo \
    88         glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo glpluf.lo \
     80        glpapi19.lo glpavl.lo glpbfd.lo glpbfx.lo glpcpx.lo glpdmp.lo \
     81        glpdmx.lo glpenv01.lo glpenv02.lo glpenv03.lo glpenv04.lo \
     82        glpenv05.lo glpenv06.lo glpenv07.lo glpenv08.lo glpfhv.lo \
     83        glpgmp.lo glphbm.lo glpini01.lo glpini02.lo glpios01.lo \
     84        glpios02.lo glpios03.lo glpios04.lo glpios05.lo glpios06.lo \
     85        glpios07.lo glpios08.lo glpios09.lo glpios10.lo glpios11.lo \
     86        glpios12.lo glpipm.lo glplib01.lo glplib02.lo glplib03.lo \
     87        glplpf.lo glplpx01.lo glplpx02.lo glplpx03.lo glpluf.lo \
    8988        glplux.lo glpmat.lo glpmpl01.lo glpmpl02.lo glpmpl03.lo \
    9089        glpmpl04.lo glpmpl05.lo glpmpl06.lo glpmps.lo glpnet01.lo \
    9190        glpnet02.lo glpnet03.lo glpnet04.lo glpnet05.lo glpnet06.lo \
    92         glpnet07.lo glpnet08.lo glpnpp01.lo glpnpp02.lo glpnpp03.lo \
    93         glpnpp04.lo glpqmd.lo glprgr.lo glprng01.lo glprng02.lo \
    94         glpscf.lo glpscl.lo glpsdf.lo glpspm.lo glpspx01.lo \
    95         glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo amd_1.lo \
    96         amd_2.lo amd_aat.lo amd_control.lo amd_defaults.lo amd_dump.lo \
    97         amd_info.lo amd_order.lo amd_postorder.lo amd_post_tree.lo \
    98         amd_preprocess.lo amd_valid.lo colamd.lo
     91        glpnet07.lo glpnet08.lo glpnet09.lo glpnpp01.lo glpnpp02.lo \
     92        glpnpp03.lo glpnpp04.lo glpnpp05.lo glpqmd.lo glprgr.lo \
     93        glprng01.lo glprng02.lo glpscf.lo glpscl.lo glpsdf.lo \
     94        glpspm.lo glpspx01.lo glpspx02.lo glpsql.lo glpssx01.lo \
     95        glpssx02.lo amd_1.lo amd_2.lo amd_aat.lo amd_control.lo \
     96        amd_defaults.lo amd_dump.lo amd_info.lo amd_order.lo \
     97        amd_postorder.lo amd_post_tree.lo amd_preprocess.lo \
     98        amd_valid.lo colamd.lo
    9999libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    100100@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
     
    286286$(GLPKDIR)/src/glpapi18.c \
    287287$(GLPKDIR)/src/glpapi19.c \
    288 $(GLPKDIR)/src/glpapi20.c \
    289288$(GLPKDIR)/src/glpavl.c \
    290289$(GLPKDIR)/src/glpbfd.c \
     
    293292$(GLPKDIR)/src/glpdmp.c \
    294293$(GLPKDIR)/src/glpdmx.c \
     294$(GLPKDIR)/src/glpenv01.c \
     295$(GLPKDIR)/src/glpenv02.c \
     296$(GLPKDIR)/src/glpenv03.c \
     297$(GLPKDIR)/src/glpenv04.c \
     298$(GLPKDIR)/src/glpenv05.c \
     299$(GLPKDIR)/src/glpenv06.c \
     300$(GLPKDIR)/src/glpenv07.c \
     301$(GLPKDIR)/src/glpenv08.c \
    295302$(GLPKDIR)/src/glpfhv.c \
    296303$(GLPKDIR)/src/glpgmp.c \
     
    311318$(GLPKDIR)/src/glpios12.c \
    312319$(GLPKDIR)/src/glpipm.c \
    313 $(GLPKDIR)/src/glpipp01.c \
    314 $(GLPKDIR)/src/glpipp02.c \
    315320$(GLPKDIR)/src/glplib01.c \
    316321$(GLPKDIR)/src/glplib02.c \
    317322$(GLPKDIR)/src/glplib03.c \
    318 $(GLPKDIR)/src/glplib04.c \
    319 $(GLPKDIR)/src/glplib05.c \
    320 $(GLPKDIR)/src/glplib06.c \
    321 $(GLPKDIR)/src/glplib07.c \
    322 $(GLPKDIR)/src/glplib08.c \
    323 $(GLPKDIR)/src/glplib09.c \
    324 $(GLPKDIR)/src/glplib10.c \
    325 $(GLPKDIR)/src/glplib11.c \
    326 $(GLPKDIR)/src/glplib12.c \
    327323$(GLPKDIR)/src/glplpf.c \
    328324$(GLPKDIR)/src/glplpx01.c \
    329325$(GLPKDIR)/src/glplpx02.c \
    330326$(GLPKDIR)/src/glplpx03.c \
    331 $(GLPKDIR)/src/glplpx04.c \
    332327$(GLPKDIR)/src/glpluf.c \
    333328$(GLPKDIR)/src/glplux.c \
     
    348343$(GLPKDIR)/src/glpnet07.c \
    349344$(GLPKDIR)/src/glpnet08.c \
     345$(GLPKDIR)/src/glpnet09.c \
    350346$(GLPKDIR)/src/glpnpp01.c \
    351347$(GLPKDIR)/src/glpnpp02.c \
    352348$(GLPKDIR)/src/glpnpp03.c \
    353349$(GLPKDIR)/src/glpnpp04.c \
     350$(GLPKDIR)/src/glpnpp05.c \
    354351$(GLPKDIR)/src/glpqmd.c \
    355352$(GLPKDIR)/src/glprgr.c \
     
    390387  $(srcdir)/$(GLPKDIR)/include/glprng.h \
    391388  $(srcdir)/$(GLPKDIR)/include/glpdmp.h \
     389  $(srcdir)/$(GLPKDIR)/include/glpenv.h \
    392390  $(srcdir)/$(GLPKDIR)/include/glplib.h \
    393391  $(srcdir)/$(GLPKDIR)/include/glpstd.h
     
    517515@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi18.Plo@am__quote@
    518516@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi19.Plo@am__quote@
    519 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi20.Plo@am__quote@
    520517@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    521518@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
     
    524521@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpdmp.Plo@am__quote@
    525522@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpdmx.Plo@am__quote@
     523@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpenv01.Plo@am__quote@
     524@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpenv02.Plo@am__quote@
     525@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpenv03.Plo@am__quote@
     526@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpenv04.Plo@am__quote@
     527@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpenv05.Plo@am__quote@
     528@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpenv06.Plo@am__quote@
     529@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpenv07.Plo@am__quote@
     530@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpenv08.Plo@am__quote@
    526531@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpfhv.Plo@am__quote@
    527532@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpgmp.Plo@am__quote@
     
    542547@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios12.Plo@am__quote@
    543548@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpipm.Plo@am__quote@
    544 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpipp01.Plo@am__quote@
    545 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpipp02.Plo@am__quote@
    546549@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib01.Plo@am__quote@
    547550@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib02.Plo@am__quote@
    548551@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib03.Plo@am__quote@
    549 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib04.Plo@am__quote@
    550 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib05.Plo@am__quote@
    551 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib06.Plo@am__quote@
    552 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib07.Plo@am__quote@
    553 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib08.Plo@am__quote@
    554 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib09.Plo@am__quote@
    555 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib10.Plo@am__quote@
    556 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib11.Plo@am__quote@
    557 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib12.Plo@am__quote@
    558552@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpf.Plo@am__quote@
    559553@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx01.Plo@am__quote@
    560554@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx02.Plo@am__quote@
    561555@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx03.Plo@am__quote@
    562 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx04.Plo@am__quote@
    563556@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpluf.Plo@am__quote@
    564557@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplux.Plo@am__quote@
     
    579572@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet07.Plo@am__quote@
    580573@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet08.Plo@am__quote@
     574@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet09.Plo@am__quote@
    581575@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp01.Plo@am__quote@
    582576@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp02.Plo@am__quote@
    583577@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp03.Plo@am__quote@
    584578@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp04.Plo@am__quote@
     579@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp05.Plo@am__quote@
    585580@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
    586581@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprgr.Plo@am__quote@
     
    751746@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi19.lo `test -f '$(GLPKDIR)/src/glpapi19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi19.c
    752747
    753 glpapi20.lo: $(GLPKDIR)/src/glpapi20.c
    754 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi20.lo -MD -MP -MF "$(DEPDIR)/glpapi20.Tpo" -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c; \
    755 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi20.Tpo" "$(DEPDIR)/glpapi20.Plo"; else rm -f "$(DEPDIR)/glpapi20.Tpo"; exit 1; fi
    756 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi20.c' object='glpapi20.lo' libtool=yes @AMDEPBACKSLASH@
    757 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    758 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c
    759 
    760748glpavl.lo: $(GLPKDIR)/src/glpavl.c
    761749@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    800788@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpdmx.lo `test -f '$(GLPKDIR)/src/glpdmx.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpdmx.c
    801789
     790glpenv01.lo: $(GLPKDIR)/src/glpenv01.c
     791@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpenv01.lo -MD -MP -MF "$(DEPDIR)/glpenv01.Tpo" -c -o glpenv01.lo `test -f '$(GLPKDIR)/src/glpenv01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv01.c; \
     792@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpenv01.Tpo" "$(DEPDIR)/glpenv01.Plo"; else rm -f "$(DEPDIR)/glpenv01.Tpo"; exit 1; fi
     793@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpenv01.c' object='glpenv01.lo' libtool=yes @AMDEPBACKSLASH@
     794@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     795@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpenv01.lo `test -f '$(GLPKDIR)/src/glpenv01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv01.c
     796
     797glpenv02.lo: $(GLPKDIR)/src/glpenv02.c
     798@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpenv02.lo -MD -MP -MF "$(DEPDIR)/glpenv02.Tpo" -c -o glpenv02.lo `test -f '$(GLPKDIR)/src/glpenv02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv02.c; \
     799@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpenv02.Tpo" "$(DEPDIR)/glpenv02.Plo"; else rm -f "$(DEPDIR)/glpenv02.Tpo"; exit 1; fi
     800@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpenv02.c' object='glpenv02.lo' libtool=yes @AMDEPBACKSLASH@
     801@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     802@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpenv02.lo `test -f '$(GLPKDIR)/src/glpenv02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv02.c
     803
     804glpenv03.lo: $(GLPKDIR)/src/glpenv03.c
     805@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpenv03.lo -MD -MP -MF "$(DEPDIR)/glpenv03.Tpo" -c -o glpenv03.lo `test -f '$(GLPKDIR)/src/glpenv03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv03.c; \
     806@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpenv03.Tpo" "$(DEPDIR)/glpenv03.Plo"; else rm -f "$(DEPDIR)/glpenv03.Tpo"; exit 1; fi
     807@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpenv03.c' object='glpenv03.lo' libtool=yes @AMDEPBACKSLASH@
     808@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     809@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpenv03.lo `test -f '$(GLPKDIR)/src/glpenv03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv03.c
     810
     811glpenv04.lo: $(GLPKDIR)/src/glpenv04.c
     812@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpenv04.lo -MD -MP -MF "$(DEPDIR)/glpenv04.Tpo" -c -o glpenv04.lo `test -f '$(GLPKDIR)/src/glpenv04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv04.c; \
     813@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpenv04.Tpo" "$(DEPDIR)/glpenv04.Plo"; else rm -f "$(DEPDIR)/glpenv04.Tpo"; exit 1; fi
     814@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpenv04.c' object='glpenv04.lo' libtool=yes @AMDEPBACKSLASH@
     815@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     816@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpenv04.lo `test -f '$(GLPKDIR)/src/glpenv04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv04.c
     817
     818glpenv05.lo: $(GLPKDIR)/src/glpenv05.c
     819@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpenv05.lo -MD -MP -MF "$(DEPDIR)/glpenv05.Tpo" -c -o glpenv05.lo `test -f '$(GLPKDIR)/src/glpenv05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv05.c; \
     820@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpenv05.Tpo" "$(DEPDIR)/glpenv05.Plo"; else rm -f "$(DEPDIR)/glpenv05.Tpo"; exit 1; fi
     821@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpenv05.c' object='glpenv05.lo' libtool=yes @AMDEPBACKSLASH@
     822@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     823@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpenv05.lo `test -f '$(GLPKDIR)/src/glpenv05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv05.c
     824
     825glpenv06.lo: $(GLPKDIR)/src/glpenv06.c
     826@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpenv06.lo -MD -MP -MF "$(DEPDIR)/glpenv06.Tpo" -c -o glpenv06.lo `test -f '$(GLPKDIR)/src/glpenv06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv06.c; \
     827@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpenv06.Tpo" "$(DEPDIR)/glpenv06.Plo"; else rm -f "$(DEPDIR)/glpenv06.Tpo"; exit 1; fi
     828@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpenv06.c' object='glpenv06.lo' libtool=yes @AMDEPBACKSLASH@
     829@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     830@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpenv06.lo `test -f '$(GLPKDIR)/src/glpenv06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv06.c
     831
     832glpenv07.lo: $(GLPKDIR)/src/glpenv07.c
     833@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpenv07.lo -MD -MP -MF "$(DEPDIR)/glpenv07.Tpo" -c -o glpenv07.lo `test -f '$(GLPKDIR)/src/glpenv07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv07.c; \
     834@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpenv07.Tpo" "$(DEPDIR)/glpenv07.Plo"; else rm -f "$(DEPDIR)/glpenv07.Tpo"; exit 1; fi
     835@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpenv07.c' object='glpenv07.lo' libtool=yes @AMDEPBACKSLASH@
     836@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     837@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpenv07.lo `test -f '$(GLPKDIR)/src/glpenv07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv07.c
     838
     839glpenv08.lo: $(GLPKDIR)/src/glpenv08.c
     840@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpenv08.lo -MD -MP -MF "$(DEPDIR)/glpenv08.Tpo" -c -o glpenv08.lo `test -f '$(GLPKDIR)/src/glpenv08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv08.c; \
     841@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpenv08.Tpo" "$(DEPDIR)/glpenv08.Plo"; else rm -f "$(DEPDIR)/glpenv08.Tpo"; exit 1; fi
     842@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpenv08.c' object='glpenv08.lo' libtool=yes @AMDEPBACKSLASH@
     843@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     844@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpenv08.lo `test -f '$(GLPKDIR)/src/glpenv08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpenv08.c
     845
    802846glpfhv.lo: $(GLPKDIR)/src/glpfhv.c
    803847@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpfhv.lo -MD -MP -MF "$(DEPDIR)/glpfhv.Tpo" -c -o glpfhv.lo `test -f '$(GLPKDIR)/src/glpfhv.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpfhv.c; \
     
    926970@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpipm.lo `test -f '$(GLPKDIR)/src/glpipm.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpipm.c
    927971
    928 glpipp01.lo: $(GLPKDIR)/src/glpipp01.c
    929 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpipp01.lo -MD -MP -MF "$(DEPDIR)/glpipp01.Tpo" -c -o glpipp01.lo `test -f '$(GLPKDIR)/src/glpipp01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpipp01.c; \
    930 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpipp01.Tpo" "$(DEPDIR)/glpipp01.Plo"; else rm -f "$(DEPDIR)/glpipp01.Tpo"; exit 1; fi
    931 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpipp01.c' object='glpipp01.lo' libtool=yes @AMDEPBACKSLASH@
    932 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    933 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpipp01.lo `test -f '$(GLPKDIR)/src/glpipp01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpipp01.c
    934 
    935 glpipp02.lo: $(GLPKDIR)/src/glpipp02.c
    936 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpipp02.lo -MD -MP -MF "$(DEPDIR)/glpipp02.Tpo" -c -o glpipp02.lo `test -f '$(GLPKDIR)/src/glpipp02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpipp02.c; \
    937 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpipp02.Tpo" "$(DEPDIR)/glpipp02.Plo"; else rm -f "$(DEPDIR)/glpipp02.Tpo"; exit 1; fi
    938 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpipp02.c' object='glpipp02.lo' libtool=yes @AMDEPBACKSLASH@
    939 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    940 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpipp02.lo `test -f '$(GLPKDIR)/src/glpipp02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpipp02.c
    941 
    942972glplib01.lo: $(GLPKDIR)/src/glplib01.c
    943973@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib01.lo -MD -MP -MF "$(DEPDIR)/glplib01.Tpo" -c -o glplib01.lo `test -f '$(GLPKDIR)/src/glplib01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib01.c; \
     
    961991@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib03.lo `test -f '$(GLPKDIR)/src/glplib03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib03.c
    962992
    963 glplib04.lo: $(GLPKDIR)/src/glplib04.c
    964 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib04.lo -MD -MP -MF "$(DEPDIR)/glplib04.Tpo" -c -o glplib04.lo `test -f '$(GLPKDIR)/src/glplib04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib04.c; \
    965 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib04.Tpo" "$(DEPDIR)/glplib04.Plo"; else rm -f "$(DEPDIR)/glplib04.Tpo"; exit 1; fi
    966 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib04.c' object='glplib04.lo' libtool=yes @AMDEPBACKSLASH@
    967 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    968 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib04.lo `test -f '$(GLPKDIR)/src/glplib04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib04.c
    969 
    970 glplib05.lo: $(GLPKDIR)/src/glplib05.c
    971 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib05.lo -MD -MP -MF "$(DEPDIR)/glplib05.Tpo" -c -o glplib05.lo `test -f '$(GLPKDIR)/src/glplib05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib05.c; \
    972 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib05.Tpo" "$(DEPDIR)/glplib05.Plo"; else rm -f "$(DEPDIR)/glplib05.Tpo"; exit 1; fi
    973 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib05.c' object='glplib05.lo' libtool=yes @AMDEPBACKSLASH@
    974 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    975 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib05.lo `test -f '$(GLPKDIR)/src/glplib05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib05.c
    976 
    977 glplib06.lo: $(GLPKDIR)/src/glplib06.c
    978 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib06.lo -MD -MP -MF "$(DEPDIR)/glplib06.Tpo" -c -o glplib06.lo `test -f '$(GLPKDIR)/src/glplib06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib06.c; \
    979 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib06.Tpo" "$(DEPDIR)/glplib06.Plo"; else rm -f "$(DEPDIR)/glplib06.Tpo"; exit 1; fi
    980 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib06.c' object='glplib06.lo' libtool=yes @AMDEPBACKSLASH@
    981 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    982 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib06.lo `test -f '$(GLPKDIR)/src/glplib06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib06.c
    983 
    984 glplib07.lo: $(GLPKDIR)/src/glplib07.c
    985 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib07.lo -MD -MP -MF "$(DEPDIR)/glplib07.Tpo" -c -o glplib07.lo `test -f '$(GLPKDIR)/src/glplib07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib07.c; \
    986 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib07.Tpo" "$(DEPDIR)/glplib07.Plo"; else rm -f "$(DEPDIR)/glplib07.Tpo"; exit 1; fi
    987 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib07.c' object='glplib07.lo' libtool=yes @AMDEPBACKSLASH@
    988 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    989 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib07.lo `test -f '$(GLPKDIR)/src/glplib07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib07.c
    990 
    991 glplib08.lo: $(GLPKDIR)/src/glplib08.c
    992 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib08.lo -MD -MP -MF "$(DEPDIR)/glplib08.Tpo" -c -o glplib08.lo `test -f '$(GLPKDIR)/src/glplib08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib08.c; \
    993 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib08.Tpo" "$(DEPDIR)/glplib08.Plo"; else rm -f "$(DEPDIR)/glplib08.Tpo"; exit 1; fi
    994 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib08.c' object='glplib08.lo' libtool=yes @AMDEPBACKSLASH@
    995 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    996 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib08.lo `test -f '$(GLPKDIR)/src/glplib08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib08.c
    997 
    998 glplib09.lo: $(GLPKDIR)/src/glplib09.c
    999 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib09.lo -MD -MP -MF "$(DEPDIR)/glplib09.Tpo" -c -o glplib09.lo `test -f '$(GLPKDIR)/src/glplib09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib09.c; \
    1000 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib09.Tpo" "$(DEPDIR)/glplib09.Plo"; else rm -f "$(DEPDIR)/glplib09.Tpo"; exit 1; fi
    1001 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib09.c' object='glplib09.lo' libtool=yes @AMDEPBACKSLASH@
    1002 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1003 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib09.lo `test -f '$(GLPKDIR)/src/glplib09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib09.c
    1004 
    1005 glplib10.lo: $(GLPKDIR)/src/glplib10.c
    1006 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib10.lo -MD -MP -MF "$(DEPDIR)/glplib10.Tpo" -c -o glplib10.lo `test -f '$(GLPKDIR)/src/glplib10.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib10.c; \
    1007 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib10.Tpo" "$(DEPDIR)/glplib10.Plo"; else rm -f "$(DEPDIR)/glplib10.Tpo"; exit 1; fi
    1008 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib10.c' object='glplib10.lo' libtool=yes @AMDEPBACKSLASH@
    1009 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1010 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib10.lo `test -f '$(GLPKDIR)/src/glplib10.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib10.c
    1011 
    1012 glplib11.lo: $(GLPKDIR)/src/glplib11.c
    1013 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib11.lo -MD -MP -MF "$(DEPDIR)/glplib11.Tpo" -c -o glplib11.lo `test -f '$(GLPKDIR)/src/glplib11.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib11.c; \
    1014 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib11.Tpo" "$(DEPDIR)/glplib11.Plo"; else rm -f "$(DEPDIR)/glplib11.Tpo"; exit 1; fi
    1015 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib11.c' object='glplib11.lo' libtool=yes @AMDEPBACKSLASH@
    1016 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1017 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib11.lo `test -f '$(GLPKDIR)/src/glplib11.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib11.c
    1018 
    1019 glplib12.lo: $(GLPKDIR)/src/glplib12.c
    1020 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib12.lo -MD -MP -MF "$(DEPDIR)/glplib12.Tpo" -c -o glplib12.lo `test -f '$(GLPKDIR)/src/glplib12.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib12.c; \
    1021 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib12.Tpo" "$(DEPDIR)/glplib12.Plo"; else rm -f "$(DEPDIR)/glplib12.Tpo"; exit 1; fi
    1022 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib12.c' object='glplib12.lo' libtool=yes @AMDEPBACKSLASH@
    1023 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1024 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib12.lo `test -f '$(GLPKDIR)/src/glplib12.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib12.c
    1025 
    1026993glplpf.lo: $(GLPKDIR)/src/glplpf.c
    1027994@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpf.lo -MD -MP -MF "$(DEPDIR)/glplpf.Tpo" -c -o glplpf.lo `test -f '$(GLPKDIR)/src/glplpf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpf.c; \
     
    10521019@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx03.lo `test -f '$(GLPKDIR)/src/glplpx03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx03.c
    10531020
    1054 glplpx04.lo: $(GLPKDIR)/src/glplpx04.c
    1055 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx04.lo -MD -MP -MF "$(DEPDIR)/glplpx04.Tpo" -c -o glplpx04.lo `test -f '$(GLPKDIR)/src/glplpx04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx04.c; \
    1056 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx04.Tpo" "$(DEPDIR)/glplpx04.Plo"; else rm -f "$(DEPDIR)/glplpx04.Tpo"; exit 1; fi
    1057 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx04.c' object='glplpx04.lo' libtool=yes @AMDEPBACKSLASH@
    1058 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1059 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx04.lo `test -f '$(GLPKDIR)/src/glplpx04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx04.c
    1060 
    10611021glpluf.lo: $(GLPKDIR)/src/glpluf.c
    10621022@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpluf.lo -MD -MP -MF "$(DEPDIR)/glpluf.Tpo" -c -o glpluf.lo `test -f '$(GLPKDIR)/src/glpluf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpluf.c; \
     
    11851145@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet08.lo `test -f '$(GLPKDIR)/src/glpnet08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet08.c
    11861146
     1147glpnet09.lo: $(GLPKDIR)/src/glpnet09.c
     1148@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet09.lo -MD -MP -MF "$(DEPDIR)/glpnet09.Tpo" -c -o glpnet09.lo `test -f '$(GLPKDIR)/src/glpnet09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet09.c; \
     1149@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet09.Tpo" "$(DEPDIR)/glpnet09.Plo"; else rm -f "$(DEPDIR)/glpnet09.Tpo"; exit 1; fi
     1150@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet09.c' object='glpnet09.lo' libtool=yes @AMDEPBACKSLASH@
     1151@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1152@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet09.lo `test -f '$(GLPKDIR)/src/glpnet09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet09.c
     1153
    11871154glpnpp01.lo: $(GLPKDIR)/src/glpnpp01.c
    11881155@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnpp01.lo -MD -MP -MF "$(DEPDIR)/glpnpp01.Tpo" -c -o glpnpp01.lo `test -f '$(GLPKDIR)/src/glpnpp01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp01.c; \
     
    12121179@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    12131180@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp04.lo `test -f '$(GLPKDIR)/src/glpnpp04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp04.c
     1181
     1182glpnpp05.lo: $(GLPKDIR)/src/glpnpp05.c
     1183@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnpp05.lo -MD -MP -MF "$(DEPDIR)/glpnpp05.Tpo" -c -o glpnpp05.lo `test -f '$(GLPKDIR)/src/glpnpp05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp05.c; \
     1184@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnpp05.Tpo" "$(DEPDIR)/glpnpp05.Plo"; else rm -f "$(DEPDIR)/glpnpp05.Tpo"; exit 1; fi
     1185@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnpp05.c' object='glpnpp05.lo' libtool=yes @AMDEPBACKSLASH@
     1186@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1187@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp05.lo `test -f '$(GLPKDIR)/src/glpnpp05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp05.c
    12141188
    12151189glpqmd.lo: $(GLPKDIR)/src/glpqmd.c
     
    16931667        cp $(srcdir)/$(GLPKDIR)/src/glpdmp.h $(srcdir)/$(GLPKDIR)/include/glpdmp.h
    16941668
     1669$(srcdir)/$(GLPKDIR)/include/glpenv.h : $(srcdir)/$(GLPKDIR)/src/glpenv.h
     1670        cp $(srcdir)/$(GLPKDIR)/src/glpenv.h $(srcdir)/$(GLPKDIR)/include/glpenv.h
     1671
    16951672$(srcdir)/$(GLPKDIR)/include/glplib.h : $(srcdir)/$(GLPKDIR)/src/glplib.h
    16961673        cp $(srcdir)/$(GLPKDIR)/src/glplib.h $(srcdir)/$(GLPKDIR)/include/glplib.h
  • ThirdParty/Glpk/trunk/configure

    r1458 r1471  
    2008920089  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2009020090echo "${ECHO_T}${majorver}.${minorver}" >&6
    20091   if test x$majorver != x4 || test x$minorver != x41 ; then
    20092     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.41. Please update by rerunning get.GLPK\"" >&5
    20093 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.41. Please update by rerunning get.GLPK\"" >&2;}
     20091  if test x$majorver != x4 || test x$minorver != x43 ; then
     20092    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.43. Please update by rerunning get.GLPK\"" >&5
     20093echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.43. Please update by rerunning get.GLPK\"" >&2;}
    2009420094   { (exit 1); exit 1; }; }
    2009520095  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1458 r1471  
    7474  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7575  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test x$majorver != x4 || test x$minorver != x41 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.41. Please update by rerunning get.GLPK"])
     76  if test x$majorver != x4 || test x$minorver != x43 ; then
     77    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.43. Please update by rerunning get.GLPK"])
    7878  fi
    7979else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1458 r1471  
    22
    33set -e
    4 glpk_ver=4.41
     4glpk_ver=4.43
    55
    66wgetcmd=wget
Note: See TracChangeset for help on using the changeset viewer.